### Method

# FwupdPlugin Config set_value

#### Declaration [src]

    gboolean
    fu_config_set_value (
      FuConfig* self,
      const gchar* section,
      const gchar* key,
      const gchar* value,
      GError** error
    )

#### Description [src]

Sets a plugin config value, saving the new data back to the default config file.

Available since: | 1.9.1

#### Parameters

`section` | `const gchar*`
| A settings section.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`key` | `const gchar*`
| A settings key.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`value` | `const gchar*`
| A settings value.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.